Last Comment Bug 322172 - bump copyright year to 2006
: bump copyright year to 2006
Status: RESOLVED FIXED
: fixed1.8.0.1, fixed1.8.1
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: J. Paul Reed [:preed]
:
Mentors:
: 346411 356802 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-02 20:25 PST by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2008-03-08 10:30 PST (History)
18 users (show)
timr: blocking1.7.13-
timr: blocking1.7.14?
timr: blocking‑aviary1.0.8-
timr: blocking‑aviary1.0.9?
dbaron: blocking1.9+
dbaron: blocking1.8.1+
dbaron: blocking1.8.0.1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch for main copyrights on trunk (checked in) (27.87 KB, patch)
2006-01-02 20:26 PST, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Splinter Review
patch for reporter (29.17 KB, patch)
2006-01-02 20:26 PST, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Splinter Review
patch for help content (39.14 KB, patch)
2006-01-02 20:27 PST, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Splinter Review
Update copyright strings for the 1.8.0 branch (29.47 KB, patch)
2006-01-06 12:35 PST, J. Paul Reed [:preed]
chase: review+
benjamin: review+
dveditz: approval1.8.0.1+
dveditz: approval1.8.1+
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-01-02 20:25:27 PST
We need to bump the copyright year from 2005 to 2006, in way too many places, on way too many branches.

I've done one part of it on the trunk, but there's way more of this than I expected and I'm not going to finish.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-01-02 20:26:27 PST
Created attachment 207394 [details] [diff] [review]
patch for main copyrights on trunk (checked in)

This is the one patch that I've checked in (and only to the trunk).
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-01-02 20:26:55 PST
Created attachment 207395 [details] [diff] [review]
patch for reporter
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-01-02 20:27:22 PST
Created attachment 207396 [details] [diff] [review]
patch for help content
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-01-03 08:05:01 PST
Comment on attachment 207394 [details] [diff] [review]
patch for main copyrights on trunk (checked in)

I missed xpfe/bootstrap/macbuild/Contents/Resources/English.lproj/InfoPlist.strings in this patch.
Comment 5 J. Paul Reed [:preed] 2006-01-03 12:21:19 PST
(In reply to comment #0)
> We need to bump the copyright year from 2005 to 2006, in way too many places,
> on way too many branches.
> 
> I've done one part of it on the trunk, but there's way more of this than I
> expected and I'm not going to finish.

Does it make sense to make this a make definition somewhere in config/?
Comment 6 J. Paul Reed [:preed] 2006-01-04 14:20:55 PST
*** Bug 322176 has been marked as a duplicate of this bug. ***
Comment 7 J. Paul Reed [:preed] 2006-01-06 12:35:07 PST
Created attachment 207754 [details] [diff] [review]
Update copyright strings for the 1.8.0 branch

This should address all the copyright strings for Firefox, Thunderbird, and xulrunner on the MOZILLA_1_8_0_BRANCH.

It does *not* affect the copyright strings for localized help; this should likely be something that's a part of the 1.8.0.1 localization verification checklist; as I remember, copyrights don't need to be updated unless the content actually changes, and it likely will for localization, but not necessarily on this particular branch.
Comment 8 Daniel Veditz [:dveditz] 2006-01-09 11:17:33 PST
Axel: are you OK with this patch? Seems like all the help changes (unnecessary? we didn't change any help) will just confuse things...
Comment 9 Axel Hecht [pto-Aug-30][:Pike] 2006-01-09 12:19:42 PST
I'm not sure if my opinion really matters. Do we need to bump the copyright
for old help content?
Anyway, we're not going to take changes to help for 1.5.0.1 in l10n, so if we 
don't have to bump all copyrights, than we're safe.
Comment 10 Axel Hecht [pto-Aug-30][:Pike] 2006-01-09 14:48:09 PST
If we need a automated copyright bump for l10n, there is no 2005 in arabic digits
for gu-IN and pa-IN, both of which aren't released yet.
Comment 11 J. Paul Reed [:preed] 2006-01-09 14:58:02 PST
(In reply to comment #9)
> I'm not sure if my opinion really matters. Do we need to bump the copyright
> for old help content?
> Anyway, we're not going to take changes to help for 1.5.0.1 in l10n, so if we 
> don't have to bump all copyrights, than we're safe.

Just some input here on my reasoning; I bumped the en_us help for two reasons:

a) Arguably, someone could consider it (or look to it as) the entire product copyright; dbaron and I actually discussed this briefly on Friday. I don't think either of us totally buys this, but it's good to be safe... which leads me to...

2) We wanted to ensure that if the en_US help changed (which is more likely, yes?) in the 1.5.0.{1,2,3,x} releases, the copyright was already bumped.

Unlike dbaron, I was lazy with the i10n stuff, because I thought I remember you saying the help localizations weren't likely to happen in the 1.5.0.x timeframe, so since they weren't supposed to change, I didn't bother.

Having said that, is a copyright date check part of the localization checklist (is there such a thing?)
Comment 12 Benjamin Smedberg [:bsmedberg] 2006-01-09 15:11:40 PST
Well, except for aboutDialog.dtd there is no need for the 2005->2006 change in locales (and theoretically not for en-US either). We were hoping to avoid *any* l10n changes between 1.5 and 1.5.0.1 so that we could reuse the FIREFOX_1_5_RELEASE tag in the l10n/ tree and not have to do commits and re-tagging on that tree.

Chase, what branch/tag (in the l10n tree) are the 1.5.0.x l10n repacackaging bits pulling from? I haven't even checked to see if we tagged l10n with FIREFOX_1_5_RELEASE; I just assumed we did but it does sound like a difficult task since locales were released at various times and some aren't released yet.
Comment 13 Axel Hecht [pto-Aug-30][:Pike] 2006-01-09 15:12:56 PST
We have http://wiki.mozilla.org/MozillaQualityAssurance:l10n_checklist. I do
think we should fix copyright in a bug, not in the QA process, though.

Anyway, I'm not sure how much we're going to accept on the 1.8.0 branch in terms
of l10n, but that hasn't branched yet anyway.
We will see changes on the 1.8 branch, of course.
Comment 14 Chase Phillips 2006-01-09 15:16:39 PST
(In reply to comment #12)
> Chase, what branch/tag (in the l10n tree) are the 1.5.0.x l10n repacackaging
> bits pulling from? I haven't even checked to see if we tagged l10n with
> FIREFOX_1_5_RELEASE; I just assumed we did but it does sound like a difficult
> task since locales were released at various times and some aren't released yet.

It is a difficult task but I plan to use the knowledge of when the respins occurred for each of the appropriate tags.  I asked Axel if he'd like me to branch l10n files for the 1.5.0.1 release (rather than reusing the 1.8 branch for those releases) and he has told me to proceed with branching.

We'll have 1.5.0.1 l10n builds soon, but since they're not blocking the RC release (we do that only in en-US), the l10n builds will probably be ready later this week.  I plan to have the branch ready later today or tomorrow.
Comment 15 Daniel Veditz [:dveditz] 2006-01-09 16:32:27 PST
Comment on attachment 207754 [details] [diff] [review]
Update copyright strings for the 1.8.0 branch

a=dveditz, we do need to bump the English version whether it makes l10n's life difficult or not.
Comment 16 J. Paul Reed [:preed] 2006-01-09 17:34:37 PST
Checked in on the 1_8_0_BRANCH; I'll look into how cleanly this patch applies on the 1_8_BRANCH.
Comment 17 Gervase Markham [:gerv] 2006-01-10 14:23:16 PST
As far as I am aware, legally there is no need to bump the copyright year at all. All it _might_ mean is that copyright on the code expires in 2089 instead of 2090 or whatever. So if it's inconvenient for anyone, let's not bother on any branches, and only do it on the trunk.

Gerv
Comment 18 Daniel Veditz [:dveditz] 2006-01-10 19:09:36 PST
fixed1.8.0.1 per comment 16
Comment 19 Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-01-11 16:05:53 PST
The 1.8.0 branch patch did not fix the three strings in Camino, while the trunk patch did.
Comment 20 Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-01-18 02:15:33 PST
(In reply to comment #19)
> The 1.8.0 branch patch did not fix the three strings in Camino, while the trunk
> patch did.

We've taken care of the Camino changes for the 1.8.* branches ourselves.
Comment 21 Steffen Wilberg 2006-01-18 09:30:25 PST
Note that two help documentation changes got approval for the 1.8.0 branch, bug 314814 and bug 314208.
http://bonsai.mozilla.org/cvsquery.cgi?&branch=MOZILLA_1_8_0_BRANCH&dir=&file=mozilla%2Fbrowser%2Flocales%2Fen-US%2Fchrome%2Fhelp%2F&date=all
Comment 22 Tim Riley [:timr] 2006-02-10 11:48:05 PST
Too late for 1.0.8/1.7.13.
Comment 23 Marco Cimmino 2006-05-05 07:14:26 PDT
This bug is confirmed in thunderbird 1.5.0.2 and firefox 1.5.0.3 italian version, other localized version may also be affected.
Comment 24 Steffen Wilberg 2006-05-13 10:14:20 PDT
Comment on attachment 207396 [details] [diff] [review]
patch for help content

Firefox Help docs are already updated on 1.8 branch and trunk.
Comment 25 Steffen Wilberg 2006-05-22 09:01:09 PDT
Bug 336554 took care of the Firefox strings on the 1.8 branch.
Is there anything left to do here? I have problems lxr'ing for 2005:

http://lxr.mozilla.org/seamonkey/search?string=2005
"Unexpected returnvalue 2 from Glimpse"
Comment 26 Marco Cimmino 2006-06-02 05:24:04 PDT
This bug is still confirmed in thunderbird 1.5.0.4 and firefox 1.5.0.4 italian
version, other localized version may also be affected.
Comment 27 Darin Fisher 2006-06-26 11:34:30 PDT
Please land this on the 1.8 branch and add the fixed1.8.1 keyword.  Thanks!
Comment 28 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-03 08:34:11 PDT
All of the changes from attachment 207754 [details] [diff] [review] have already landed on the 1.8 branch, with the exception of the extensions/help changes. I think this can be called fixed1.8.1.
Comment 29 hansalfredche 2006-07-20 08:35:17 PDT
German version wasn't bumbed to 2006 neither. 1.5.0.5 nightly build still shows 2005 in "About" dialoge.
Comment 30 Marek Stępień [:marcoos, inactive] 2006-07-20 11:09:29 PDT
No localized versions have bumped the (C) date to 2006 in the about dialog. Some even have "2004" there.

http://lxr.mozilla.org/l10n-mozilla1.8.0/search?string=copyrightText
Comment 31 Ryan Jones 2006-07-29 04:33:03 PDT
*** Bug 346411 has been marked as a duplicate of this bug. ***
Comment 32 Stuart Rowan 2006-07-29 04:55:26 PDT
you confused me for a minute there...I had checked the bug had not been reported for Thunderbird!
Comment 33 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-08-03 16:00:13 PDT
Note that we really want to parameterize as many of these as possible.  It'll be 2007 by the time 1.9 ships.
Comment 34 Ryan Jones 2006-10-16 05:53:47 PDT
*** Bug 356802 has been marked as a duplicate of this bug. ***
Comment 35 J. Paul Reed [:preed] 2007-02-02 00:28:49 PST
I kept this open to do something more intelligent in terms of centralizing the copyright date, but... I never got around to it.

Resolving fixed, but I get to file another one of these, because it's 2007.

Note You need to log in before you can comment on or make changes to this bug.